<?php
defined('WikyBlog') or die("Not an entry point...");

function defaultUser(){
	global $serverName1;
	
	includeFile('tool/Variables.php');
	$defaultUser = wbVariables::getArray('defaultUser:',true);
	
	$array = array();
	$array['homeTitle'] = toDisplay($GLOBALS['wbDefaultTitle']);
	$array['pTemplate'] = 'graphic/blue';
	$array['textareaY'] = '20';
	$array['isBlog'] = 'On';
	$array['sBlog'] = 'On';
	$array['timezone'] = '0:00';
	$array['ajax'] = 'Off';
	$array['maxHistory'] = '100';
	$array['lang'] = 'en';
	$array['quickComment'] = 'On';
	$array['fEdits'] = '1';
	$array['saveAll'] = 'Off';
	$array['scrl'] = 'Off';
	
	//admin limits
	$array['max_usage'] = '1000000000'; //approx 1 GB
	$array['abs_max_history'] = '0';
	$array['flags'] = '';
	
	
	if( is_array($defaultUser) ){
		$array = $defaultUser + $array;
	}
	
	//
	//	links
	//
	$array['data2']['links'] = array();
	$array['data2']['groups'] = array();
	
	$list = array();
	$list[]= array('uri'=>'/','label'=>toDisplay($GLOBALS['wbDefaultTitle']),'desc'=>' ','intern'=>true);
	
	$array['data2']['links'][$serverName1] = $list;
	$array['data2']['groups'][$serverName1] = array();
	
	$list = array();
	$list[]= array('uri'=>'http://www.wikyblog.com','label'=>'WikyBlog','desc'=>'Wiki / Blog Hybrid Software');
	//$list[]= array('uri'=>'http://freshmeat.net/projects/wikyblog/','label'=>'@ Freshmeat','desc'=>'WikyBlog @ Freshmeat');
	//$list[]= array('uri'=>'http://sourceforge.net/projects/wikyblog/','label'=>'@ SourceForge','desc'=>'WikyBlog @ SourceForge');
	$list[]= array('uri'=>'http://papyrusbb.com','label'=>'PapyrusBB','desc'=>'Forum Plugin for WikyBlog');
	$list[]= array('uri'=>'http://ptrans.wikyblog.com','label'=>'Project Translator','desc'=>'Project Translator for GPL');
	$list[]= array('uri'=>'http://gpeasy.com','label'=>'gpEasy CMS','desc'=>'The Fast and Easy CMS');
	$list[]= array('uri'=>'http://gaboons.com','label'=>'Gaboons.com','desc'=>'Open Content for Adventure Races, Triathlons, Marathons and more');
	
	$array['data2']['links']['See Also'] = $list;
	$array['data2']['groups']['See Also'] = array();
	
	return $array;
}
